Subject: Re: [PATCH v3 2/6] notes: replace pseudorefs with real refs

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Jul 2015 22:01:39 -0700

Johan Herland <[email-masked]> writes:

> I believe it is a bad compromise. It complicates the code, and it
> provides a concurrent notes merges that is unnecessarily tied to (and
> dependent on) worktrees. For example, if I wanted to perform N
> concurrent notes merges in a project that happens to have a huge
> worktree, I would now have to create N copies of the huge worktree...

Who said worktree has to be populated?  You should be able to have
an absolutely empty checkout just like "clone --no-checkout".